=== debian/changelog ===
bfs (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Move autopkgtests to separate files.
  * Tidy debian/tests/control.
  * Refresh and renumber patches, sorting using Pq-Topic.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Aug 2017 08:41:02 -0700

bfs (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jul 2017 08:42:16 +0100

bfs (1.0.2-6) unstable; urgency=medium

  * Install RELEASES.md, not README.md, as the upstream changelog. Thanks to
    Tavian Barnes for spotting this.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jul 2017 20:39:19 +0100

bfs (1.0.2-5) unstable; urgency=medium

  * Don't use the upstream "release" Makefile target as it overrides CFLAGS.
    Thanks to Tavian Barnes.
  * Install upstream's README.md as the upstream changelog.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jul 2017 20:02:06 +0100

bfs (1.0.2-4) unstable; urgency=medium

  * Set hardening=+all for bindnow, etc.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jul 2017 09:46:28 +0100

bfs (1.0.2-3) unstable; urgency=medium

  * Actually include the manpage in the package.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Jul 2017 22:40:09 +0100

bfs (1.0.2-2) unstable; urgency=medium

  * Use help2man to generate a manpage.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Jul 2017 14:50:29 +0100

bfs (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Add a basic smoke autopkgtest.
  * Update 0002-Drop-fstype-tests-as-they-rely-on-etc-mtab-being-ava.patch.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Jun 2017 09:31:01 +0100

bfs (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Correct debian/watch file. Thanks to Tavian Barnes.
  * Refresh patches:
    - 0003-Fix-FTBFS-on-hurd-i386.-Closes-861569.patch dropped upstream

 -- Chris Lamb <lamby@debian.org>  Tue, 23 May 2017 19:11:06 +0100

bfs (1.0-4) unstable; urgency=medium

  * Drop Drop-printf_times-tests-as-they-fail-under-eg.-Docke.patch as it now
    appears to work.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 May 2017 08:59:55 +0100

bfs (1.0-3) unstable; urgency=medium

  * Fix FTBFS on hurd-i386. (Closes: #861569)

 -- Chris Lamb <lamby@debian.org>  Mon, 01 May 2017 08:34:42 +0100

bfs (1.0-2) unstable; urgency=medium

  * Drop fstype tests as they rely on /etc/mtab being available.
    (Closes: #861471)

 -- Chris Lamb <lamby@debian.org>  Sat, 29 Apr 2017 14:00:35 +0100

bfs (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #861227)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Apr 2017 21:38:14 +0100
