=== debian/control ===
Source: bfs
Section: utils
Priority: extra
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 10),
 help2man,
Standards-Version: 4.0.0
Homepage: https://github.com/tavianator/bfs
Vcs-Git: https://github.com/lamby/pkg-bfs.git
Vcs-Browser: https://github.com/lamby/pkg-bfs

Package: bfs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Breadth-first version of find(1)
 bfs is a variant of the UNIX `find` command that operates breadth-first rather
 than depth-first.
 .
 It tries to be easier to use than `find`, while remaining compatible with
 find(1). For example, bfs is less picky about where you put its arguments.
 bfs also adds some extra options that make some common tasks easier.
 .
 When bfs detects that its output is a terminal, it automatically colors its
 output with the same colors ls uses.
