=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -f bfs.1

override_dh_auto_build:
	dh_auto_build
	help2man \
		--name="Breadth-first version of find(1)" \
		--no-info \
		./bfs > bfs.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./tests.sh
endif

override_dh_installchangelogs:
	dh_installchangelogs RELEASES.md
