=== debian/changelog ===
bfs (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Feb 2018 10:12:50 +0000

bfs (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/copyright: Use https for format URI.
  * Move to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Jan 2018 13:27:26 +1100

bfs (1.1.4-2) unstable; urgency=medium

  * Use upstream's manpage.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Nov 2017 15:43:00 +0000

bfs (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Replace "Priority: extra" with "Priority: optional".

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Nov 2017 10:13:27 +0000

bfs (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Oct 2017 22:00:43 +0100

bfs (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop DPKG_EXPORT_BUILDFLAGS and /usr/share/dpkg/buildflags.mk include;
    they are not necessary with debhelper 10.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Sep 2017 10:53:12 +0100
