=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bfs
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 10),
- help2man,
-Standards-Version: 4.0.0
+ debhelper (>= 11),
+Standards-Version: 4.1.3
 Homepage: https://github.com/tavianator/bfs
 Vcs-Git: https://github.com/lamby/pkg-bfs.git
 Vcs-Browser: https://github.com/lamby/pkg-bfs
@@ -14,7 +13,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Breadth-first version of find(1)
  bfs is a variant of the UNIX `find` command that operates breadth-first rather
  than depth-first.
