=== debian/watch ===
version=3
https://github.com/tavianator/bfs/releases .*/(.*)\.tar\.gz
