## bfs 1.2.3

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.2.1
+VERSION := 1.2.3
 else
 VERSION := $(shell git describe --always)
 endif
@@ -54,7 +54,10 @@
 bfs: bftw.o color.o dstring.o eval.o exec.o main.o mtab.o opt.o parse.o printf.o stat.o typo.o util.o
 	$(CC) $(ALL_LDFLAGS) $^ -o $@
 
-release: CFLAGS := -O3 -flto $(WFLAGS) -DNDEBUG -g
+sanitized: CFLAGS := -g $(WFLAGS) -fsanitize=address -fsanitize=undefined
+sanitized: bfs
+
+release: CFLAGS := -g $(WFLAGS) -O3 -flto -DNDEBUG
 release: bfs
 
 %.o: %.c
