=== debian/changelog ===
bfs (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Jul 2018 10:22:41 +0800

bfs (1.2.2-2) unstable; urgency=medium

  * Drop dropping the fstype tests; this should have been fixed upstream:
    https://github.com/tavianator/bfs/commit/85caf29cfd2f40ef10ed76d425bb89a5f8f45a1a.
  * Bump Standards-Version to 4.1.5

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Jul 2018 13:16:24 +0800

bfs (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Jun 2018 08:33:50 +0100

bfs (1.2.1-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jun 2018 22:51:27 +0100
