=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper (>= 11),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/tavianator/bfs
-Vcs-Git: https://github.com/lamby/pkg-bfs.git
-Vcs-Browser: https://github.com/lamby/pkg-bfs
+Vcs-Git: https://salsa.debian.org/lamby/pkg-bfs.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-bfs
 
 Package: bfs
 Architecture: any
