## bfs 1.3.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # bfs                                                                      #
-# Copyright (C) 2015-2017 Tavian Barnes <tavianator@tavianator.com>        #
+# Copyright (C) 2015-2019 Tavian Barnes <tavianator@tavianator.com>        #
 #                                                                          #
 # Permission to use, copy, modify, and/or distribute this software for any #
 # purpose with or without fee is hereby granted.                           #
@@ -15,9 +15,13 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.2.3
+VERSION := 1.3.3
 else
 VERSION := $(shell git describe --always)
+endif
+
+ifndef OS
+OS := $(shell uname)
 endif
 
 CC ?= gcc
@@ -25,7 +29,7 @@
 MKDIR ?= mkdir -p
 RM ?= rm -f
 
-WFLAGS ?= -Wall -Wmissing-declarations
+WFLAGS ?= -Wall -Wmissing-declarations -Wstrict-prototypes
 CFLAGS ?= -g $(WFLAGS)
 LDFLAGS ?=
 DEPFLAGS ?= -MD -MP -MF $(@:.o=.d)
@@ -44,30 +48,66 @@
     -DBFS_VERSION=\"$(VERSION)\"
 
 LOCAL_CFLAGS := -std=c99
+LOCAL_LDFLAGS :=
+LOCAL_LDLIBS :=
+
+ifeq ($(OS),Linux)
+LOCAL_LDFLAGS += -Wl,--as-needed
+LOCAL_LDLIBS += -lacl -lcap -lrt
+
+# These libraries are not build with msan, so disable them
+MSAN_CFLAGS := -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0
+endif
 
 ALL_CPPFLAGS = $(LOCAL_CPPFLAGS) $(CPPFLAGS)
 ALL_CFLAGS = $(ALL_CPPFLAGS) $(LOCAL_CFLAGS) $(CFLAGS) $(DEPFLAGS)
-ALL_LDFLAGS = $(ALL_CFLAGS) $(LDFLAGS)
+ALL_LDFLAGS = $(ALL_CFLAGS) $(LOCAL_LDFLAGS) $(LDFLAGS)
+ALL_LDLIBS = $(LOCAL_LDLIBS) $(LDLIBS)
 
 all: bfs
 
-bfs: bftw.o color.o dstring.o eval.o exec.o main.o mtab.o opt.o parse.o printf.o stat.o typo.o util.o
-	$(CC) $(ALL_LDFLAGS) $^ -o $@
-
-sanitized: CFLAGS := -g $(WFLAGS) -fsanitize=address -fsanitize=undefined
-sanitized: bfs
+bfs: \
+    bftw.o \
+    color.o \
+    diag.o \
+    dstring.o \
+    eval.o \
+    exec.o \
+    main.o \
+    mtab.o \
+    opt.o \
+    parse.o \
+    posix1e.o \
+    printf.o \
+    spawn.o \
+    stat.o \
+    typo.o \
+    util.o
+	$(CC) $(ALL_LDFLAGS) $^ $(ALL_LDLIBS) -o $@
 
 release: CFLAGS := -g $(WFLAGS) -O3 -flto -DNDEBUG
 release: bfs
 
+tests/mksock: tests/mksock.o
+	$(CC) $(ALL_LDFLAGS) $^ -o $@
+
 %.o: %.c
 	$(CC) $(ALL_CFLAGS) -c $< -o $@
 
-check: all
+check: all tests/mksock
 	./tests.sh
 
+distcheck:
+	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -fsanitize=undefined -fsanitize=address"
+ifneq ($(OS),Darwin)
+	+$(MAKE) -Bs check CC=clang CFLAGS="$(CFLAGS) $(MSAN_CFLAGS) -fsanitize=memory"
+	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -m32"
+endif
+	+$(MAKE) -Bs release check
+	+$(MAKE) -Bs check
+
 clean:
-	$(RM) bfs *.o *.d
+	$(RM) bfs *.[od] tests/mksock tests/*.[od]
 
 install:
 	$(MKDIR) $(DESTDIR)$(PREFIX)/bin
@@ -77,7 +117,8 @@
 
 uninstall:
 	$(RM) $(DESTDIR)$(PREFIX)/bin/bfs
+	$(RM) $(DESTDIR)$(PREFIX)/share/man/man1/bfs.1
 
-.PHONY: all release check clean install uninstall
+.PHONY: all release check distcheck clean install uninstall
 
 -include $(wildcard *.d)
