=== debian/changelog ===
bfs (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream's "check" target over manually calling the "tests.sh" script
    to ensure the "mksock" binary is built for the testsuite.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Feb 2019 14:35:39 +0100

bfs (1.3.2-2) unstable; urgency=medium

  * Only require libacl1-dev and libcap-dev on Linux. Thanks to Tavian Barnes.
    (Closes: #920288)

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Jan 2019 09:07:43 +0100

bfs (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Jan 2019 22:57:42 +0000

bfs (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Add libacl1-dev & libcap-dev to Build-Depends.
  * Move to debhelper-compat virtual package.
  * Bump debhelper compatibility level to 12.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jan 2019 22:21:30 +0100

bfs (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Oct 2018 15:17:09 +0100
