=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 11),
-Standards-Version: 4.1.5
+ debhelper-compat (= 12),
+ libacl1-dev [linux-any],
+ libcap-dev [linux-any],
+Standards-Version: 4.3.0
 Homepage: https://github.com/tavianator/bfs
 Vcs-Git: https://salsa.debian.org/lamby/pkg-bfs.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-bfs
