## bfs 1.5

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.3.3
+VERSION := 1.5
 else
 VERSION := $(shell git describe --always)
 endif
@@ -53,10 +53,10 @@
 
 ifeq ($(OS),Linux)
 LOCAL_LDFLAGS += -Wl,--as-needed
-LOCAL_LDLIBS += -lacl -lcap -lrt
+LOCAL_LDLIBS += -lacl -lcap -lattr -lrt
 
-# These libraries are not build with msan, so disable them
-MSAN_CFLAGS := -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0
+# These libraries are not built with msan, so disable them
+MSAN_CFLAGS := -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0 -DBFS_HAS_SYS_XATTR=0
 endif
 
 ALL_CPPFLAGS = $(LOCAL_CPPFLAGS) $(CPPFLAGS)
@@ -64,7 +64,9 @@
 ALL_LDFLAGS = $(ALL_CFLAGS) $(LOCAL_LDFLAGS) $(LDFLAGS)
 ALL_LDLIBS = $(LOCAL_LDLIBS) $(LDLIBS)
 
-all: bfs
+default: bfs
+
+all: bfs tests/mksock
 
 bfs: \
     bftw.o \
@@ -73,14 +75,15 @@
     dstring.o \
     eval.o \
     exec.o \
+    fsade.o \
     main.o \
     mtab.o \
     opt.o \
     parse.o \
-    posix1e.o \
     printf.o \
     spawn.o \
     stat.o \
+    trie.o \
     typo.o \
     util.o
 	$(CC) $(ALL_LDFLAGS) $^ $(ALL_LDLIBS) -o $@
@@ -94,8 +97,10 @@
 %.o: %.c
 	$(CC) $(ALL_CFLAGS) -c $< -o $@
 
-check: all tests/mksock
-	./tests.sh
+check: all
+	./tests.sh --bfs="$(realpath bfs)"
+	./tests.sh --bfs="$(realpath bfs) -S dfs"
+	./tests.sh --bfs="$(realpath bfs) -S ids"
 
 distcheck:
 	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -fsanitize=undefined -fsanitize=address"
@@ -105,6 +110,9 @@
 endif
 	+$(MAKE) -Bs release check
 	+$(MAKE) -Bs check
+ifeq ($(OS),Linux)
+	./tests.sh --sudo
+endif
 
 clean:
 	$(RM) bfs *.[od] tests/mksock tests/*.[od]
