=== debian/changelog ===
bfs (1.5-3) unstable; urgency=medium

  * Sourceful upload to unstable to ensure migration to testing.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:12:34 -0300

bfs (1.5-2) unstable; urgency=medium

  * Add missing "acl" to Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Jul 2019 14:24:06 -0300

bfs (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jul 2019 10:08:24 -0300

bfs (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 May 2019 10:06:11 +0100

bfs (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Apr 2019 17:51:36 +0100
