## bfs 1.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # bfs                                                                      #
-# Copyright (C) 2015-2019 Tavian Barnes <tavianator@tavianator.com>        #
+# Copyright (C) 2015-2020 Tavian Barnes <tavianator@tavianator.com>        #
 #                                                                          #
 # Permission to use, copy, modify, and/or distribute this software for any #
 # purpose with or without fee is hereby granted.                           #
@@ -15,7 +15,7 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.5
+VERSION := 1.5.2
 else
 VERSION := $(shell git describe --always)
 endif
@@ -36,6 +36,7 @@
 
 DESTDIR ?=
 PREFIX ?= /usr
+MANDIR ?= $(PREFIX)/share/man
 
 LOCAL_CPPFLAGS := \
     -D__EXTENSIONS__ \
@@ -51,12 +52,16 @@
 LOCAL_LDFLAGS :=
 LOCAL_LDLIBS :=
 
+ASAN_CFLAGS := -fsanitize=address
+MSAN_CFLAGS := -fsanitize=memory
+UBSAN_CFLAGS := -fsanitize=undefined
+
 ifeq ($(OS),Linux)
 LOCAL_LDFLAGS += -Wl,--as-needed
 LOCAL_LDLIBS += -lacl -lcap -lattr -lrt
 
 # These libraries are not built with msan, so disable them
-MSAN_CFLAGS := -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0 -DBFS_HAS_SYS_XATTR=0
+MSAN_CFLAGS += -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0 -DBFS_HAS_SYS_XATTR=0
 endif
 
 ALL_CPPFLAGS = $(LOCAL_CPPFLAGS) $(CPPFLAGS)
@@ -71,6 +76,7 @@
 bfs: \
     bftw.o \
     color.o \
+    darray.o \
     diag.o \
     dstring.o \
     eval.o \
@@ -97,21 +103,23 @@
 %.o: %.c
 	$(CC) $(ALL_CFLAGS) -c $< -o $@
 
-check: all
-	./tests.sh --bfs="$(realpath bfs)"
-	./tests.sh --bfs="$(realpath bfs) -S dfs"
-	./tests.sh --bfs="$(realpath bfs) -S ids"
+check: check-bfs check-dfs check-ids
+
+check-%: all
+	./tests.sh --bfs="$(CURDIR)/bfs -S $*"
 
 distcheck:
-	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -fsanitize=undefined -fsanitize=address"
+	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) $(ASAN_CFLAGS) $(UBSAN_CFLAGS)"
 ifneq ($(OS),Darwin)
-	+$(MAKE) -Bs check CC=clang CFLAGS="$(CFLAGS) $(MSAN_CFLAGS) -fsanitize=memory"
+	+$(MAKE) -Bs check CC=clang CFLAGS="$(CFLAGS) $(MSAN_CFLAGS)"
 	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -m32"
 endif
 	+$(MAKE) -Bs release check
 	+$(MAKE) -Bs check
 ifeq ($(OS),Linux)
-	./tests.sh --sudo
+	./tests.sh --sudo --bfs="$(CURDIR)/bfs"
+	./tests.sh --sudo --bfs="$(CURDIR)/bfs -S dfs"
+	./tests.sh --sudo --bfs="$(CURDIR)/bfs -S ids"
 endif
 
 clean:
@@ -120,12 +128,12 @@
 install:
 	$(MKDIR) $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -m755 bfs $(DESTDIR)$(PREFIX)/bin/bfs
-	$(MKDIR) $(DESTDIR)$(PREFIX)/share/man/man1
-	$(INSTALL) -m644 bfs.1 $(DESTDIR)$(PREFIX)/share/man/man1/bfs.1
+	$(MKDIR) $(DESTDIR)$(MANDIR)/man1
+	$(INSTALL) -m644 bfs.1 $(DESTDIR)$(MANDIR)/man1/bfs.1
 
 uninstall:
 	$(RM) $(DESTDIR)$(PREFIX)/bin/bfs
-	$(RM) $(DESTDIR)$(PREFIX)/share/man/man1/bfs.1
+	$(RM) $(DESTDIR)$(MANDIR)/man1/bfs.1
 
 .PHONY: all release check distcheck clean install uninstall
