=== debian/changelog ===
bfs (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jan 2020 10:58:43 +0000

bfs (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Sep 2019 10:45:32 +0200
