=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  debhelper-compat (= 12),
  libacl1-dev [linux-any],
  libcap-dev [linux-any],
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/tavianator/bfs
 Vcs-Git: https://salsa.debian.org/lamby/pkg-bfs.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-bfs
+Rules-Requires-Root: no
 
 Package: bfs
 Architecture: any
