=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,10 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+ifneq ($(shell id -u),0)
+	dh_auto_test
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASES.md
