## bfs 1.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.5.2
+VERSION := 1.7
 else
 VERSION := $(shell git describe --always)
 endif
@@ -62,6 +62,24 @@
 
 # These libraries are not built with msan, so disable them
 MSAN_CFLAGS += -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0 -DBFS_HAS_SYS_XATTR=0
+
+DISTCHECK_FLAGS := TEST_FLAGS="--all --sudo"
+endif
+
+ifneq ($(filter asan,$(MAKECMDGOALS)),)
+LOCAL_CFLAGS += $(ASAN_CFLAGS)
+endif
+
+ifneq ($(filter msan,$(MAKECMDGOALS)),)
+LOCAL_CFLAGS += $(MSAN_CFLAGS)
+endif
+
+ifneq ($(filter ubsan,$(MAKECMDGOALS)),)
+LOCAL_CFLAGS += $(UBSAN_CFLAGS)
+endif
+
+ifneq ($(filter release,$(MAKECMDGOALS)),)
+CFLAGS := -g $(WFLAGS) -O3 -flto -DNDEBUG
 endif
 
 ALL_CPPFLAGS = $(LOCAL_CPPFLAGS) $(CPPFLAGS)
@@ -87,15 +105,23 @@
     opt.o \
     parse.o \
     printf.o \
+    pwcache.o \
     spawn.o \
     stat.o \
+    time.o \
     trie.o \
     typo.o \
     util.o
 	$(CC) $(ALL_LDFLAGS) $^ $(ALL_LDLIBS) -o $@
 
-release: CFLAGS := -g $(WFLAGS) -O3 -flto -DNDEBUG
+asan: bfs
+	@:
+ubsan: bfs
+	@:
+msan: bfs
+	@:
 release: bfs
+	@:
 
 tests/mksock: tests/mksock.o
 	$(CC) $(ALL_LDFLAGS) $^ -o $@
@@ -106,21 +132,16 @@
 check: check-bfs check-dfs check-ids
 
 check-%: all
-	./tests.sh --bfs="$(CURDIR)/bfs -S $*"
+	./tests.sh --bfs="$(CURDIR)/bfs -S $*" $(TEST_FLAGS)
 
 distcheck:
-	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) $(ASAN_CFLAGS) $(UBSAN_CFLAGS)"
+	+$(MAKE) -B asan ubsan check $(DISTCHECK_FLAGS)
 ifneq ($(OS),Darwin)
-	+$(MAKE) -Bs check CC=clang CFLAGS="$(CFLAGS) $(MSAN_CFLAGS)"
-	+$(MAKE) -Bs check CFLAGS="$(CFLAGS) -m32"
+	+$(MAKE) -B msan check CC=clang $(DISTCHECK_FLAGS)
+	+$(MAKE) -B check CFLAGS="-m32" $(DISTCHECK_FLAGS)
 endif
-	+$(MAKE) -Bs release check
-	+$(MAKE) -Bs check
-ifeq ($(OS),Linux)
-	./tests.sh --sudo --bfs="$(CURDIR)/bfs"
-	./tests.sh --sudo --bfs="$(CURDIR)/bfs -S dfs"
-	./tests.sh --sudo --bfs="$(CURDIR)/bfs -S ids"
-endif
+	+$(MAKE) -B release check $(DISTCHECK_FLAGS)
+	+$(MAKE) -B check $(DISTCHECK_FLAGS)
 
 clean:
 	$(RM) bfs *.[od] tests/mksock tests/*.[od]
@@ -135,6 +156,6 @@
 	$(RM) $(DESTDIR)$(PREFIX)/bin/bfs
 	$(RM) $(DESTDIR)$(MANDIR)/man1/bfs.1
 
-.PHONY: all release check distcheck clean install uninstall
+.PHONY: all asan ubsan msan release check distcheck clean install uninstall
 
 -include $(wildcard *.d)
