=== debian/changelog ===
bfs (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Move to debhelper-compat level 13.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 May 2020 16:30:52 +0100

bfs (1.6-4) unstable; urgency=medium

  * Correct reference to DEB_HOST_ARCH_OS to fix FTBFS on kfreebsd-*.

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Mar 2020 13:05:16 -0700

bfs (1.6-3) unstable; urgency=medium

  * Drop extra "D" when disabling extended system attributes on kfreebsd-*.
    Thanks, Tavian.
  * Add missing /usr/share/dpkg/architecture.mk include to ensure population of
    DEB_HOST_ARCH.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Mar 2020 08:55:44 -0800

bfs (1.6-2) unstable; urgency=medium

  * Fix FTBFS on kFreeBSD.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Mar 2020 10:05:37 -0800

bfs (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 29 Feb 2020 09:28:52 -0800
