=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  acl,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libacl1-dev [linux-any],
  libcap-dev [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/tavianator/bfs
 Vcs-Git: https://salsa.debian.org/lamby/pkg-bfs.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-bfs
