## bfs 2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 1.7
+VERSION := 2.1
 else
 VERSION := $(shell git describe --always)
 endif
@@ -29,7 +29,7 @@
 MKDIR ?= mkdir -p
 RM ?= rm -f
 
-WFLAGS ?= -Wall -Wmissing-declarations -Wstrict-prototypes
+WFLAGS ?= -Wall -Wmissing-declarations -Wstrict-prototypes -Wsign-compare
 CFLAGS ?= -g $(WFLAGS)
 LDFLAGS ?=
 DEPFLAGS ?= -MD -MP -MF $(@:.o=.d)
@@ -53,8 +53,9 @@
 LOCAL_LDLIBS :=
 
 ASAN_CFLAGS := -fsanitize=address
-MSAN_CFLAGS := -fsanitize=memory
+MSAN_CFLAGS := -fsanitize=memory -fsanitize-memory-track-origins
 UBSAN_CFLAGS := -fsanitize=undefined
+SANFLAGS := -fno-sanitize-recover
 
 ifeq ($(OS),Linux)
 LOCAL_LDFLAGS += -Wl,--as-needed
@@ -68,14 +69,25 @@
 
 ifneq ($(filter asan,$(MAKECMDGOALS)),)
 LOCAL_CFLAGS += $(ASAN_CFLAGS)
+SANITIZE := y
 endif
 
 ifneq ($(filter msan,$(MAKECMDGOALS)),)
 LOCAL_CFLAGS += $(MSAN_CFLAGS)
+SANITIZE := y
 endif
 
 ifneq ($(filter ubsan,$(MAKECMDGOALS)),)
 LOCAL_CFLAGS += $(UBSAN_CFLAGS)
+SANITIZE := y
+endif
+
+ifdef SANITIZE
+LOCAL_CFLAGS += -fno-sanitize-recover=all
+endif
+
+ifneq ($(filter gcov,$(MAKECMDGOALS)),)
+LOCAL_CFLAGS += --coverage
 endif
 
 ifneq ($(filter release,$(MAKECMDGOALS)),)
@@ -89,11 +101,13 @@
 
 default: bfs
 
-all: bfs tests/mksock
+all: bfs tests/mksock tests/trie tests/xtimegm
 
 bfs: \
+    bar.o \
     bftw.o \
     color.o \
+    ctx.o \
     darray.o \
     diag.o \
     dstring.o \
@@ -120,16 +134,30 @@
 	@:
 msan: bfs
 	@:
+gcov: bfs
+	@:
 release: bfs
 	@:
 
 tests/mksock: tests/mksock.o
 	$(CC) $(ALL_LDFLAGS) $^ -o $@
 
+tests/trie: trie.o tests/trie.o
+	$(CC) $(ALL_LDFLAGS) $^ -o $@
+
+tests/xtimegm: time.o tests/xtimegm.o
+	$(CC) $(ALL_LDFLAGS) $^ -o $@
+
 %.o: %.c
 	$(CC) $(ALL_CFLAGS) -c $< -o $@
 
-check: check-bfs check-dfs check-ids
+check: check-trie check-xtimegm check-bfs check-dfs check-ids check-eds
+
+check-trie: tests/trie
+	$<
+
+check-xtimegm: tests/xtimegm
+	$<
 
 check-%: all
 	./tests.sh --bfs="$(CURDIR)/bfs -S $*" $(TEST_FLAGS)
@@ -144,7 +172,7 @@
 	+$(MAKE) -B check $(DISTCHECK_FLAGS)
 
 clean:
-	$(RM) bfs *.[od] tests/mksock tests/*.[od]
+	$(RM) bfs *.[od] *.gcda *.gcno tests/mksock tests/trie tests/xtimegm tests/*.[od] tests/*.gcda tests/*.gcno
 
 install:
 	$(MKDIR) $(DESTDIR)$(PREFIX)/bin
@@ -156,6 +184,6 @@
 	$(RM) $(DESTDIR)$(PREFIX)/bin/bfs
 	$(RM) $(DESTDIR)$(MANDIR)/man1/bfs.1
 
-.PHONY: all asan ubsan msan release check distcheck clean install uninstall
+.PHONY: all asan ubsan msan release check check-trie check-xtimegm distcheck clean install uninstall
 
 -include $(wildcard *.d)
