=== debian/changelog ===
bfs (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Nov 2020 11:30:05 +0000

bfs (2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Oct 2020 12:28:27 +0100
