## bfs 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # bfs                                                                      #
-# Copyright (C) 2015-2020 Tavian Barnes <tavianator@tavianator.com>        #
+# Copyright (C) 2015-2021 Tavian Barnes <tavianator@tavianator.com>        #
 #                                                                          #
 # Permission to use, copy, modify, and/or distribute this software for any #
 # purpose with or without fee is hereby granted.                           #
@@ -15,13 +15,17 @@
 ############################################################################
 
 ifeq ($(wildcard .git),)
-VERSION := 2.1
+VERSION := 2.2.1
 else
 VERSION := $(shell git describe --always)
 endif
 
 ifndef OS
 OS := $(shell uname)
+endif
+
+ifndef ARCH
+ARCH := $(shell uname -m)
 endif
 
 CC ?= gcc
@@ -29,8 +33,16 @@
 MKDIR ?= mkdir -p
 RM ?= rm -f
 
-WFLAGS ?= -Wall -Wmissing-declarations -Wstrict-prototypes -Wsign-compare
-CFLAGS ?= -g $(WFLAGS)
+DEFAULT_CFLAGS := \
+    -g \
+    -Wall \
+    -Wmissing-declarations \
+    -Wshadow \
+    -Wsign-compare \
+    -Wstrict-prototypes \
+    -Wimplicit-fallthrough
+
+CFLAGS ?= $(DEFAULT_CFLAGS)
 LDFLAGS ?=
 DEPFLAGS ?= -MD -MP -MF $(@:.o=.d)
 
@@ -55,7 +67,6 @@
 ASAN_CFLAGS := -fsanitize=address
 MSAN_CFLAGS := -fsanitize=memory -fsanitize-memory-track-origins
 UBSAN_CFLAGS := -fsanitize=undefined
-SANFLAGS := -fno-sanitize-recover
 
 ifeq ($(OS),Linux)
 LOCAL_LDFLAGS += -Wl,--as-needed
@@ -64,7 +75,13 @@
 # These libraries are not built with msan, so disable them
 MSAN_CFLAGS += -DBFS_HAS_SYS_ACL=0 -DBFS_HAS_SYS_CAPABILITY=0 -DBFS_HAS_SYS_XATTR=0
 
-DISTCHECK_FLAGS := TEST_FLAGS="--all --sudo"
+DISTCHECK_FLAGS := TEST_FLAGS="--verbose --all --sudo"
+else
+DISTCHECK_FLAGS := TEST_FLAGS="--verbose"
+endif
+
+ifeq ($(OS),NetBSD)
+LOCAL_LDLIBS += -lutil
 endif
 
 ifneq ($(filter asan,$(MAKECMDGOALS)),)
@@ -91,7 +108,7 @@
 endif
 
 ifneq ($(filter release,$(MAKECMDGOALS)),)
-CFLAGS := -g $(WFLAGS) -O3 -flto -DNDEBUG
+CFLAGS := $(DEFAULT_CFLAGS) -O3 -flto -DNDEBUG
 endif
 
 ALL_CPPFLAGS = $(LOCAL_CPPFLAGS) $(CPPFLAGS)
@@ -99,9 +116,35 @@
 ALL_LDFLAGS = $(ALL_CFLAGS) $(LOCAL_LDFLAGS) $(LDFLAGS)
 ALL_LDLIBS = $(LOCAL_LDLIBS) $(LDLIBS)
 
+# Save the full set of flags to rebuild everything when they change
+ALL_FLAGS := $(CC) : $(ALL_CFLAGS) : $(ALL_LDFLAGS) : $(ALL_LDLIBS)
+$(shell ./flags.sh $(ALL_FLAGS))
+
+# Goals that make binaries
+BIN_GOALS := bfs tests/mksock tests/trie tests/xtimegm
+
+# Goals that are treated like flags by this Makefile
+FLAG_GOALS := asan msan ubsan gcov release
+
+# These are the remaining non-flag goals
+GOALS := $(filter-out $(FLAG_GOALS),$(MAKECMDGOALS))
+
+# Build the default goal if only flag goals are specified
+FLAG_PREREQS :=
+ifndef GOALS
+FLAG_PREREQS += default
+endif
+
+# The different search strategies that we test
+STRATEGIES := bfs dfs ids eds
+STRATEGY_CHECKS := $(STRATEGIES:%=check-%)
+
+# All the different checks we run
+CHECKS := $(STRATEGY_CHECKS) check-trie check-xtimegm
+
 default: bfs
 
-all: bfs tests/mksock tests/trie tests/xtimegm
+all: $(BIN_GOALS)
 
 bfs: \
     bar.o \
@@ -110,6 +153,7 @@
     ctx.o \
     darray.o \
     diag.o \
+    dir.o \
     dstring.o \
     eval.o \
     exec.o \
@@ -126,64 +170,62 @@
     trie.o \
     typo.o \
     util.o
-	$(CC) $(ALL_LDFLAGS) $^ $(ALL_LDLIBS) -o $@
-
-asan: bfs
+
+tests/mksock: tests/mksock.o
+tests/trie: trie.o tests/trie.o
+tests/xtimegm: time.o tests/xtimegm.o
+
+$(BIN_GOALS):
+	+$(CC) $(ALL_LDFLAGS) $^ $(ALL_LDLIBS) -o $@
+
+%.o: %.c .flags
+	$(CC) $(ALL_CFLAGS) -c $< -o $@
+
+# Need a rule for .flags to convince make to apply the above pattern rule if
+# .flags didn't exist when make was run
+.flags:
+
+# Make sure that "make release" builds everything, but "make release main.o" doesn't
+$(FLAG_GOALS): $(FLAG_PREREQS)
 	@:
-ubsan: bfs
-	@:
-msan: bfs
-	@:
-gcov: bfs
-	@:
-release: bfs
-	@:
-
-tests/mksock: tests/mksock.o
-	$(CC) $(ALL_LDFLAGS) $^ -o $@
-
-tests/trie: trie.o tests/trie.o
-	$(CC) $(ALL_LDFLAGS) $^ -o $@
-
-tests/xtimegm: time.o tests/xtimegm.o
-	$(CC) $(ALL_LDFLAGS) $^ -o $@
-
-%.o: %.c
-	$(CC) $(ALL_CFLAGS) -c $< -o $@
-
-check: check-trie check-xtimegm check-bfs check-dfs check-ids check-eds
-
-check-trie: tests/trie
+
+check: $(CHECKS)
+
+$(STRATEGY_CHECKS): check-%: bfs tests/mksock
+	./tests.sh --bfs="$(CURDIR)/bfs -S $*" $(TEST_FLAGS)
+
+check-trie check-xtimegm: check-%: tests/%
 	$<
-
-check-xtimegm: tests/xtimegm
-	$<
-
-check-%: all
-	./tests.sh --bfs="$(CURDIR)/bfs -S $*" $(TEST_FLAGS)
 
 distcheck:
 	+$(MAKE) -B asan ubsan check $(DISTCHECK_FLAGS)
 ifneq ($(OS),Darwin)
 	+$(MAKE) -B msan check CC=clang $(DISTCHECK_FLAGS)
+ifeq ($(ARCH),x86_64)
 	+$(MAKE) -B check CFLAGS="-m32" $(DISTCHECK_FLAGS)
+endif
 endif
 	+$(MAKE) -B release check $(DISTCHECK_FLAGS)
 	+$(MAKE) -B check $(DISTCHECK_FLAGS)
 
 clean:
-	$(RM) bfs *.[od] *.gcda *.gcno tests/mksock tests/trie tests/xtimegm tests/*.[od] tests/*.gcda tests/*.gcno
+	$(RM) $(BIN_GOALS) .flags *.[od] *.gcda *.gcno tests/*.[od] tests/*.gcda tests/*.gcno
 
 install:
 	$(MKDIR) $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -m755 bfs $(DESTDIR)$(PREFIX)/bin/bfs
 	$(MKDIR) $(DESTDIR)$(MANDIR)/man1
 	$(INSTALL) -m644 bfs.1 $(DESTDIR)$(MANDIR)/man1/bfs.1
+	$(MKDIR) $(DESTDIR)$(PREFIX)/share/bash-completion/completions
+	$(INSTALL) -m644 completions/bfs.bash $(DESTDIR)$(PREFIX)/share/bash-completion/completions/bfs
 
 uninstall:
+	$(RM) $(DESTDIR)$(PREFIX)/share/bash-completion/completions/bfs
+	$(RM) $(DESTDIR)$(MANDIR)/man1/bfs.1
 	$(RM) $(DESTDIR)$(PREFIX)/bin/bfs
-	$(RM) $(DESTDIR)$(MANDIR)/man1/bfs.1
-
-.PHONY: all asan ubsan msan release check check-trie check-xtimegm distcheck clean install uninstall
+
+.PHONY: default all $(FLAG_GOALS) check $(CHECKS) distcheck clean install uninstall
+
+.SUFFIXES:
 
 -include $(wildcard *.d)
