=== debian/changelog ===
bfs (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 09 Jun 2021 08:03:39 +0100

bfs (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 10 Mar 2021 08:41:04 +0000
