=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+
+# Fix FTBFS on kfreebsd-* architectures
+# https://github.com/tavianator/bfs/issues/56
+ifneq (,$(filter kfreebsd,$(DEB_HOST_ARCH_OS)))
+export DEB_CFLAGS_MAINT_APPEND = -DBFS_HAS_SYS_EXTATTR=0
+endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
