=== debian/changelog ===
bfs (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 22 Jan 2022 08:00:22 -0800

bfs (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Dec 2021 08:50:04 -0800
