=== debian/changelog ===
bfs (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Jul 2022 08:23:39 +0100

bfs (2.6-1) unstable; urgency=medium

  * New upstream release.
  - Update name of RELEASES.md.
  - Update location of bfs.1 manpage.
  * Install more documentation shipped by upstream.

 -- Chris Lamb <lamby@debian.org>  Sat, 28 May 2022 06:53:43 +0100

bfs (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 Apr 2022 09:42:46 +0100

bfs (2.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Add libonig-dev to Build-Depends.
  * Update debian/copyright.
  * Update debian/watch format.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2022 07:11:24 +0000
