=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  debhelper-compat (= 13),
  libacl1-dev [linux-any],
  libcap-dev [linux-any],
-Standards-Version: 4.6.0
+ libonig-dev,
+Standards-Version: 4.6.1
 Homepage: https://github.com/tavianator/bfs
 Vcs-Git: https://salsa.debian.org/lamby/pkg-bfs.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-bfs
