=== debian/watch ===
version=4
https://github.com/tavianator/bfs/releases .*/(.*)\.tar\.gz
